> For the complete documentation index, see [llms.txt](https://docs.swingsoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swingsoftware.com/pdf-converter-for-notes/for-developers/lotusscript-api-reference/class-swpdfcreator/public-function-processdoccollectionfromfile-filepath-as-string-dbserver-as-string-dbpath-as-strin.md).

# Public Function ProcessDocCollectionFromFile(FilePath As String, DbServer As String, DbPath As Strin

Converts Notes document collection to a PDF. Collection is given as a list of document universal IDs, stored in a text file. IDs are separated by new line.

**Defined in**

`SwPDFCreator`

**Syntax**

`Set swPDFDocument = swPDFCreator.ProcessDocCollectionFromFile(filePath, dbServer, dbPath, dbView)`

**Parameters**

`filePath`

String. Disk location of the text file that holds document UNIDs.

`dbServer`

String. Source database (database where documents listed in a text file resides) server name.

`dbPath`

String. Source database path.

`dbView`

String. Source view name.

**Return value**

`SwPDFDocument`

Converted Notes document collection.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.swingsoftware.com/pdf-converter-for-notes/for-developers/lotusscript-api-reference/class-swpdfcreator/public-function-processdoccollectionfromfile-filepath-as-string-dbserver-as-string-dbpath-as-strin.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
